From: Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
Date: Mon, 17 Feb 97 12:10:43 +0100
To: linux-m68k@phil.uni-sb.de
In-Reply-To: jacolot's message of 17 Feb 97 11:58:37+0100
Subject: Re: L68K: L68k: Bugs in 2.0.28 in memory.c file
X-Yow: ..  the MYSTERIANS are in here with my CORDUROY SOAP DISH!!
References: <33083AD3.30A5@lannion.cnet.fr>
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: schwab@issan.informatik.uni-dortmund.de

jacolot  <jacolot@lannion.cnet.fr> writes:

|> Hello,
|> 	I've tried to compile 2.0.28 on TT, but it seems
|> 	to be impossible due to some errors in
|> 	arch/m68k/mm/memory.c file: 
|> 	mm_vtop function for 030 cpu. (ttreg and ttregptr).

|> 	Is there a patch for this problem or do i change
|> 	my cpu config :-) ?

Add `register' to the declaration of the ttreg and ttregptr variables:

--- arch/m68k/mm/memory.c.~1~	Wed Jan 15 22:52:13 1997
+++ arch/m68k/mm/memory.c	Sat Jan 18 13:16:16 1997
@@ -305,7 +305,7 @@
 
 	if (CPU_IS_030) {
 	    unsigned long ttreg;
-	    unsigned long *ttregptr __asm__( "a2" ) = &ttreg;
+	    register unsigned long *ttregptr __asm__("a2") = &ttreg;
 
 	    asm volatile( ".long 0xf0120a00;" /* pmove %/tt0,%a0@ */
 			  : "=g" (ttreg) : "a" (ttregptr) );
@@ -318,7 +318,7 @@
 		return vaddr;
 	}
 	else if (CPU_IS_040_OR_060) {
-	    unsigned long ttreg __asm__( "d0" );
+	    register unsigned long ttreg __asm__("d0");
 	    
 	    asm volatile( ".long 0x4e740006" /* movec %dtt0,%d0 */
 			  : "=d" (ttreg) );

-- 
Andreas Schwab                                      "And now for something
schwab@issan.informatik.uni-dortmund.de              completely different"
